(function () {
    'use strict';

    angular
        .module('fehlerberichtApp', [
            'ngAnimate',
            'ngCookies',
            'ngResource',
            'ngRoute',
            'ngSanitize',
            'ngTouch'
        ])
        .config(function ($routeProvider) {
            $routeProvider
                .when('/overview/:customer/:date/:status', {
                    templateUrl: 'views/overview.html',
                    controller: 'OverviewCtrl'
                })
                .when('/calendar', {
                    templateUrl: 'views/calendar.html',
                    controller: 'CalendarCtrl'
                })
                .when('/customers', {
                    templateUrl: 'views/customers.html',
                    controller: 'CustomersCtrl'
                })
                .when('/stats/:customer', {
                    templateUrl: 'views/stats.html',
                    controller: 'StatsCtrl'
                })
                .when('/config/:customer/:date', {
                    templateUrl: 'views/config.html',
                    controller: 'ConfigCtrl'
                })
                .when('/config', {
                    templateUrl: 'views/config.html',
                    controller: 'ConfigCtrl'
                })
                .otherwise({
                    redirectTo: '/overview/all/today/errors'
                });
        });

    moment.locale('de', {
        calendar: {
            lastDay: "[Gestern]",
            lastWeek: "[letzten] dddd",
            nextDay: "[Morgen]",
            nextWeek: "dddd",
            sameDay: "[Heute]",
            sameElse: "L"
        }
    });
})();